canvas#canvas_feynman{
  width : 600px ;
  margin : auto ;
}
div#div_progress_container{
  width : 750px ;
  text-align : left ;
  margin : auto ;
  border : 1px solid black ;
}
div.progress_bar{
  background-color : green ;
  width : 1px ;
}

th.progress{
  color : white ;
  background-color : black ;
  font : 12pt arial , sans-serif ;
  text-align : center ;
  padding : 0.5em ;
  width : 75px ;
}
td.progress_bar{
  width : 500px ;
  background : color white ;
  text-align : center ;
}
td.progress_percent{
  font : 12pt arial , sans-serif ;
  text-align : center ;
  padding : 0.5em ;
  width : 75px ;
  background-color : white ;
}
td.progress_done{
  width : 50px ;
  color : white ;
  font : 12pt arial , sans-serif ;
  text-align : center ;
  padding : 0.5em ;
}
td.progress_done1{ background-color :   red ; }
td.progress_done2{ background-color : green ; }

canvas.not_selected{
  border : 2px solid black ;
  opacity : 0.5 ;
}

canvas.selected{
  border : 2px dashed red ;
}
div.tab{
  display : table ;
  margin : auto ;
}
div.tab_row{ display : table-row ; }
div.tab_cell{
  display : table-cell ;
  width : 10% ;
  vertical-align : top ;
}
input#input_nRow, input#input_nCol{
  width : 50px ;
  font : 25pt arial , sans-serif ;
  text-align : center ;
}
input#submit_grid, input#submit_solve{
  font : 24pt arial , sans-serif ;
}
span#span_times{
  font : 25pt arial , sans-serif ;
}
p#p_grid_size{
  text-align : center ;
  font : 24pt arial , sans-serif ;
}

table#table_solution{
  width : 500px ;
  margin : auto ;
}
th.solution{
  color : white ;
  background-color : black ;
}
td.solution{
  background-color : white ;
}
td.solution, th.solution{
  font : 16pt arial , sans-serif ;
  padding : 0.5em ;
}
